<template>
  <ns-view-list-table v-bind="config" />
</template>
<script lang="ts" setup>
  import { tableConfig } from './config';
  import { computed, nextTick, ref } from 'vue';
  const orgId = ref('');
  const result = JSON.parse(sessionStorage.getItem('ORGID')!);
  orgId.value = result;
  const config = tableConfig(orgId.value);

  defineOptions({
    name: 'LedgerIndex', // 与页面路由name一致缓存才可生效
  });
</script>
<style lang="less" scoped>
  :deep(.ns-table-search),
  :deep(.ns-part-tree),
  :deep(.ns-table-main) {
    box-shadow: @ns-content-box-shadow;
  }
</style>
